\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{fmcmppk}[2016/09/30 FMC MPPK Class]

\LoadClass[a4paper, 11pt]{article}

\RequirePackage[left=2cm, bottom=2.5cm, top=1.5cm, right=2cm]{geometry}
\RequirePackage{titling}
\RequirePackage{tabularx}
\RequirePackage[explicit]{titlesec}
\RequirePackage{ulem}
\RequirePackage{textcomp}
\RequirePackage{fancyhdr}
\RequirePackage{lastpage}
\renewcommand{\footrulewidth}{0.4pt}
\renewcommand*\rmdefault{ppl}

\pagestyle{fancy}
\fancyhf{} 
\setlength\parindent{0pt}
\renewcommand{\headrulewidth}{0pt} 
\fancyfoot[C]{Seite \thepage~von \pageref{LastPage}}
\fancyfoot[R]{\thedate}
\renewcommand{\footrulewidth}{0.4pt} 
\newcolumntype{b}{X}
\newcolumntype{s}{>{\hsize=.5\hsize}X}
\newcolumntype{v}{>{\hsize=.15\hsize}X}
\setlength{\parskip}{0.8\baselineskip}%


\AtBeginDocument{
	\titleformat{\subsection}
	{\filcenter\normalfont\Large\bfseries}{\thesubsection}{1em}{\uline{#1}\vspace{0.1cm}}
	\subsection*{M\"undliches Pr\"ufungsprotokoll }}
\renewcommand*\rmdefault{ppl}

\newcommand{\mppkheader}[6]{

\renewcommand{\arraystretch}{1.4}
\begin{tabularx}{\linewidth}{|p{3cm}Xp{4cm}|}
	\hline
	Fach: & \textbf{#1} & \footnotesize{(#2)} \\ 
	Institut: & #3 & Datum: \thedate \\
	Pr\"ufer/Beisitzer : &  \multicolumn{2}{l|}{	
		#4 }\\
	Note: & #5 & Dauer: #6\\
	\hline
\end{tabularx}
\\[0.5cm]
\hrule
\large{\textbf{Atmosph\"are w\"ahrend der Pr\"ufung:}\par}
\normalsize
}

\newcommand{\mppkbody}{
	\vspace{0.5cm}
	\hrule
	\large{\textbf{Pr\"ufungsinhalt:}}\par
	\normalsize
	}